# Visualization
TKService
AlienImage

# AlienImage_BMPAlienData Class Reference

`#include <AlienImage_BMPAlienData.hxx>`

Inheritance diagram for AlienImage_BMPAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_BMPAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by BMPAlienData .
| ~AlienImage_BMPAlienData ()
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a BMPAlienData object from a file Returns True if file is a BMP file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a BMPAlienData object to a file .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a BMPAlienData object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a BMPAlienData object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | FromPseudoColorImage (const Handle(Image_PseudoColorImage)&anImage)
| convert a Image object to a GIFAlienData object.
Standard_EXPORT void | FromColorImage (const Handle(Image_ColorImage)&anImage)
| convert a Image object to a GIFAlienData object.

## Private Attributes

Handle_Aspect_GenericColorMap | myColorMap
Standard_Address | myData
Standard_Integer | myWidth
Standard_Integer | myHeight

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_BMPAlienData::AlienImage_BMPAlienData | ( |  | ) |

AlienImage_BMPAlienData::~AlienImage_BMPAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_BMPAlienData::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_BMPAlienData::FromColorImage | ( | const Handle(Image_ColorImage)& | anImage | ) | `[private]`

Standard_EXPORT void AlienImage_BMPAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_BMPAlienData::FromPseudoColorImage | ( | const Handle(Image_PseudoColorImage)& | anImage | ) | `[private]`

Standard_EXPORT const AlienImage_BMPAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Boolean AlienImage_BMPAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Handle_Image_Image AlienImage_BMPAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Boolean AlienImage_BMPAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

## Field Documentation

Handle_Aspect_GenericColorMap AlienImage_BMPAlienData::myColorMap `[private]`

Standard_Address AlienImage_BMPAlienData::myData `[private]`

Standard_Integer AlienImage_BMPAlienData::myHeight `[private]`

Standard_Integer AlienImage_BMPAlienData::myWidth `[private]`

The documentation for this class was generated from the following file:

- AlienImage_BMPAlienData.hxx